Package org.apache.lucene.analysis.opennlp

# Class OpenNLPLemmatizerFilterFactory

java.lang.Object
org.apache.lucene.analysis.AbstractAnalysisFactory
org.apache.lucene.analysis.TokenFilterFactory
org.apache.lucene.analysis.opennlp.OpenNLPLemmatizerFilterFactory

All Implemented Interfaces:
  `ResourceLoaderAware`

public class OpenNLPLemmatizerFilterFactory extends TokenFilterFactory implements ResourceLoaderAware
Factory for `OpenNLPLemmatizerFilter`.

     <fieldType name="text_opennlp_lemma" class="solr.TextField" positionIncrementGap="100"
       <analyzer>
         <tokenizer class="solr.OpenNLPTokenizerFactory"
                    sentenceModel="filename"
                    tokenizerModel="filename"/>
         />
         <filter class="solr.OpenNLPLemmatizerFilterFactory"
                 dictionary="filename"
                 lemmatizerModel="filename"/>
       </analyzer>
     </fieldType>

Since:
  7.3.0
SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
  "openNlpLemmatizer"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DICTIONARY`
`static final String`
`LEMMATIZER_MODEL`
`static final String`
`NAME`
SPI name

### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

## Constructor Summary

Constructors
Constructor
Description
`OpenNLPLemmatizerFilterFactory()`
Default ctor for compatibility with SPI
`OpenNLPLemmatizerFilterFactory(Map<String,String> args)`

## Method Summary

Modifier and Type
Method
Description
`OpenNLPLemmatizerFilter`
`create(TokenStream in)`
`void`
`inform(ResourceLoader loader)`

### Methods inherited from class org.apache.lucene.analysis.TokenFilterFactory

`availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

`defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final String NAME
SPI name

See Also:
  - Constant Field Values

### DICTIONARY

public static final String DICTIONARY

See Also:
  - Constant Field Values

### LEMMATIZER_MODEL

public static final String LEMMATIZER_MODEL

See Also:
  - Constant Field Values

## Constructor Details

### OpenNLPLemmatizerFilterFactory

public OpenNLPLemmatizerFilterFactory(Map<String,String> args)

### OpenNLPLemmatizerFilterFactory

public OpenNLPLemmatizerFilterFactory()
Default ctor for compatibility with SPI

## Method Details

### create

public OpenNLPLemmatizerFilter create(TokenStream in)

Specified by:
  `create` in class `TokenFilterFactory`

### inform

public void inform(ResourceLoader loader) throws IOException

Specified by:
  `inform` in interface `ResourceLoaderAware`
Throws:
  `IOException`